name: rtree-c
# version: 0.1.0
# synopsis: synopsis
# maintainer: maintainer <email>
# category: categories
# extra-source-files: []

ghc-options: -Wall -fno-warn-incomplete-uni-patterns -fprof-late

dependencies:
  - base >= 4.9 && < 5
  - rtree
  - containers
  - mtl
  - vector
  - pretty-simple
  - transformers
  - language-c
  - pretty

library:
  source-dirs: src

executables:
  rtree-c: 
    source-dirs: bin/
    main: Main.hs
    dependencies:
      - rtree-c
      - optparse-applicative
      - typed-process
      - directory
      - pretty
      - filepath
      - temporary
      - co-log
      - time
      - text

tests:
  rtree-c-test:
    source-dirs: test/src
    main: Main.hs
    dependencies:
      - rtree
      - rtree-c
      - hspec
      - hspec-discover
      - hspec-expectations-pretty-diff
      - hspec-glitter
      - directory
      - filepath
      - typed-process
      - text

benchmarks:
  rtree-c-bench:
    source-dirs: bench/
    main: Main.hs
    ghc-options:
        -O2
        -threaded
    dependencies:
      - rtree
      - rtree-c
      - criterion
      - directory
      - filepath
      - typed-process
      - text
  rtree-c-profile:
    source-dirs: bench/
    main: Main.hs
    ghc-options:
      -O
      -threaded
      -fprof-late
      "-with-rtsopts=-N -p -s -hc -i0.1 -L500"
    dependencies:
      - rtree
      - rtree-c
      - criterion
      - directory
      - filepath
      - typed-process
      - text
      - deepseq
